Page MenuHomePhabricator

[LLDB][MIPS] Provide ABI string to compiler for appropriate code generation for MIPS
ClosedPublic

Authored by nitesh.jain on Mar 30 2016, 11:51 PM.

Details

Reviewers
ovyalov
clayborg
Summary

These patch will set clang::TargetOptions::ABI and accordingly code will be generated For MIPS target.

Diff Detail

Repository
rL LLVM

Event Timeline

nitesh.jain retitled this revision from to [LLDB][MIPS] Provide ABI string to compiler for appropriate code generation for MIPS.
nitesh.jain updated this object.
nitesh.jain added reviewers: clayborg, ovyalov.
nitesh.jain added subscribers: jaydeep, bhushan, slthakur and 2 others.
nitesh.jain set the repository for this revision to rL LLVM.

Corrected formatting issue

clayborg requested changes to this revision.Mar 31 2016, 9:27 AM
clayborg edited edge metadata.

I question if ArchSpec::GetClangTargetABI() belongs in ArchSpec. It is very clang specific. Should this just be a function in ClangExpressionParser? Like:

static std::string
ClangExpressionParser::GetTargetABI (const ArchSpec &arch);

If no where else will require this target ABI, then this probably should not live in ArchSpec.

This revision now requires changes to proceed.Mar 31 2016, 9:27 AM

Yes this function is clang specific(even GetClangTargetCPU) .Will update the diff as per suggestion.

Thanks

nitesh.jain edited edge metadata.

The diff is updated as per suggestion

clayborg accepted this revision.Apr 7 2016, 9:21 AM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Apr 7 2016, 9:21 AM
nitesh.jain closed this revision.May 13 2016, 4:11 AM

Committed in revision 269407